[rspec-users] Cucumber changes between 0.1.8 and edge

Pau Cor lists at ruby-forum.com
Sat Nov 1 01:02:07 EDT 2008


When I run `rake features` after adding cucumber v0.1.8 to my rails app
(as a plugin), I get success. But when I upgrade to edge, I get this
error:

"
|/home/paul/sc/ror/cebu_heroku/vendor/plugins/cucumber/bin/../lib/cucumber/formatters/pretty_formatter.rb:205:in 
`ljust': no implicit conversion from nil to integer (TypeError)"

Full message here: http://pastie.org/305371

Here is my feature file: http://pastie.org/305372

And here are my step definitions: http://pastie.org/305373

I tried looking through
http://github.com/aslakhellesoy/cucumber/tree/master/History.txt but I
didn't see anything that would help me find the difference.

So what changed (and was it meant to)?

Thanks,
Paul
-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list